ASTValidationErrorsHelper (Grails 6.0.0)

Package: org.grails.compiler.injection

## [Java] Class ASTValidationErrorsHelper

- org.grails.compiler.injection.ASTValidationErrorsHelper

- All Implemented Interfaces and Traits:
    ASTErrorsHelper

      public class ASTValidationErrorsHelper
      extends java.lang.Object
      implements ASTErrorsHelper

  Authors:
    Jeff Brown

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `CLEAR_ERRORS_METHOD_NAME` |
    `private static org.codehaus.groovy.ast.expr.TupleExpression` | `EMPTY_TUPLE` |
    `private static org.codehaus.groovy.syntax.Token` | `EQUALS_SYMBOL` |
    `private static org.codehaus.groovy.ast.ClassNode` | `ERRORS_CLASS_NODE` |
    `private static org.codehaus.groovy.ast.expr.VariableExpression` | `ERRORS_EXPRESSION` |
    `private static java.lang.String` | `ERRORS_PROPERTY_NAME` |
    `private static java.lang.String` | `GET_ERRORS_METHOD_NAME` |
    `private static java.lang.String` | `HAS_ERRORS_METHOD_NAME` |
    `private static java.lang.String` | `INIT_ERRORS_METHOD_NAME` |
    `private static org.codehaus.groovy.ast.expr.ConstantExpression` | `NULL_EXPRESSION` |
    `private static java.lang.String` | `SET_ERRORS_METHOD_NAME` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `addClearErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
    `` | `protected void` | `addErrorsField(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
    `` | `protected void` | `addGetErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
    `` | `protected void` | `addHasErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
    `` | `protected void` | `addInitErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
    `` | `protected void` | `addSetErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
    `` | `public void` | `injectErrorsCode(org.codehaus.groovy.ast.ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final java.lang.String CLEAR_ERRORS_METHOD_NAME

    - #### private static final org.codehaus.groovy.ast.expr.TupleExpression EMPTY_TUPLE

    - #### private static final org.codehaus.groovy.syntax.Token EQUALS_SYMBOL

    - #### private static final org.codehaus.groovy.ast.ClassNode ERRORS_CLASS_NODE

    - #### private static final org.codehaus.groovy.ast.expr.VariableExpression ERRORS_EXPRESSION

    - #### private static final java.lang.String ERRORS_PROPERTY_NAME

    - #### private static final java.lang.String GET_ERRORS_METHOD_NAME

    - #### private static final java.lang.String HAS_ERRORS_METHOD_NAME

    - #### private static final java.lang.String INIT_ERRORS_METHOD_NAME

    - #### private static final org.codehaus.groovy.ast.expr.ConstantExpression NULL_EXPRESSION

    - #### private static final java.lang.String SET_ERRORS_METHOD_NAME

  - ### Method Detail

    - #### protected void addClearErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

    - #### protected void addErrorsField(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

    - #### protected void addGetErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

    - #### protected void addHasErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

    - #### protected void addInitErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

    - #### protected void addSetErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

    - #### public void injectErrorsCode(org.codehaus.groovy.ast.ClassNode classNode)